<template>
  <div class="full-width row wrap justify-center items-start content-start">
    <div class="column q-pa-lg">
      <q-card square class="shadow-24" style="width: 300px; height: 100%">
        <q-card-section class="bg-deep-purple-7">
          <h4 class="text-h5 text-white q-my-md">Registro Nuevo Usuario</h4>
        </q-card-section>
        <q-card-section>
          <q-form class="q-px-sm q-pt-xl q-pb-lg">
            <q-input square clearable v-model="mail" type="email" label="Email">
              <template v-slot:prepend>
                <q-icon name="email" />
              </template>
            </q-input>
            <q-input
              square
              clearable
              v-model="user"
              type="username"
              label="Username"
            >
              <template v-slot:prepend>
                <q-icon name="person" />
              </template>
            </q-input>

            <q-input
              square
              clearable
              v-model="name_lastName"
              type="name_lastName"
              label="name_lastName"
            >
              <template v-slot:prepend>
                <q-icon name="person" />
              </template>
            </q-input>

            <q-input
              square
              clearable
              v-model="telephone"
              type="telephone"
              label="telephone"
            >
              <template v-slot:prepend>
                <q-icon name="phone_android" />
              </template>
            </q-input>

            <q-input
              square
              clearable
              v-model="shipping_address"
              type="shipping_address"
              label="shipping_address"
            >
              <template v-slot:prepend>
                <q-icon name="home" />
              </template>
            </q-input>

            <q-input
              square
              clearable
              v-model="password"
              type="password"
              label="Password"
            >
              <template v-slot:prepend>
                <q-icon name="lock" />
              </template>
            </q-input>
          </q-form>
        </q-card-section>
        <q-card-actions class="q-px-lg">
          <q-btn
            unelevated
            size="lg"
            color="purple-4"
            class="full-width text-white"
            label="Guardar"
            @click="addUser"
          />
        </q-card-actions>
        <!--    <q-card-section class="text-center q-pa-sm">
          <p class="text-grey-6">Return to login</p>
        </q-card-section> -->
      </q-card>
    </div>
  </div>
</template>
<script>
import { ref, defineComponent } from "vue";
import { api } from "boot/axios";
import { useQuasar, SessionStorage } from "quasar";
export default defineComponent({
  name: "AddUser",
  setup() {
    const $q = useQuasar();

    const mail = ref(null);
    const user = ref(null);
    const password = ref(null);
    const name_lastName = ref(null);
    const telephone = ref(null);
    const shipping_address = ref(null);
    const profile = ref(null);
    const datos = ref(null);

    return {
      async addUser() {
        const useNew = {
          usuario: user.value,
          nombre_y_apellido: name_lastName.value,
          correo_electronico: mail.value,
          telefono: telephone.value,
          direccion_de_envio: shipping_address.value,
          contrasena: password.value,
          perfil: "admin",
        };
        console.log(`user ${JSON.stringify(useNew)}`);
        await api
          .post("nuevo", useNew, {
            headers: {
              accept: "application/json",
            },
          })
          .then((response) => {
            console.log("datos " + JSON.stringify(response.data));

            $q.notify({
              color: "positive",
              position: "bottom",
              message: `Se creo el usuario ${user.value}`,
              icon: "mood",
            });
            return JSON.stringify(response.data);
          })
          .catch((error) => {
            $q.notify({
              color: "negative",
              position: "bottom",
              message: "No se pudo guardar el nuevo usuario",
              icon: "sentiment_very_dissatisfied",
            });
            console.log("error", error);
          });
        console.log(datos);
      },
      datos,
      mail,
      user,
      password,
      name_lastName,
      telephone,
      shipping_address,
      profile,
    };
  },

  /*  methods: {
    subscribe() {
      this.registe = !this.registe;
    },
  }, */
});
</script>
